### Hierarchy

- JsonFormsArrayControl
  - ListWithDetailControl

### Implements

- OnInit
- OnDestroy
- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- _isSplit
- data
- description
- detailNav
- detailPage
- detailParams
- disabled
- enabled
- error
- form
- hidden
- id
- label
- masterItems
- masterNav
- masterPage
- masterParams
- ngRedux
- path
- platform
- rootSchema
- schema
- scopedSchema
- subscription
- uischema
- visible

### Methods

- getEventValue
- getOwnProps
- goBack
- hideDetail
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- onSplitPaneChange
- showDetail
- triggerValidation
- updateDetail
- updateMaster
- validator

## Constructors

### constructor

- new ListWithDetailControl(platform: Platform, ngRedux: NgRedux<JsonFormsState>): ListWithDetailControl

- Overrides JsonFormsAbstractControl.constructor

  - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:88

  #### Parameters

  - ##### platform: Platform

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns ListWithDetailControl

## Properties

### _isSplit

_isSplit: boolean

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:88

### data

data: any

Inherited from JsonFormsAbstractControl.data

- Defined in angular/src/abstract-control.ts:57

### description

description: string

Inherited from JsonFormsAbstractControl.description

- Defined in angular/src/abstract-control.ts:59

### detailNav

detailNav: IonNav

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:82

### detailPage

detailPage: any

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:84

### detailParams

detailParams: any

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:87

### disabled

disabled: boolean

Inherited from JsonFormsAbstractControl.disabled

- Defined in angular/src/abstract-control.ts:52

### enabled

enabled: boolean

Inherited from JsonFormsAbstractControl.enabled

- Defined in angular/src/abstract-control.ts:63

### error

error: string | null

Inherited from JsonFormsAbstractControl.error

- Defined in angular/src/abstract-control.ts:60

### form

form: FormControl

Inherited from JsonFormsAbstractControl.form

- Defined in angular/src/abstract-control.ts:55

### hidden

hidden: boolean

Inherited from JsonFormsAbstractControl.hidden

- Defined in angular/src/abstract-control.ts:64

### id

id: string

Inherited from JsonFormsAbstractControl.id

- Defined in angular/src/abstract-control.ts:51

### label

label: string

Inherited from JsonFormsAbstractControl.label

- Defined in angular/src/abstract-control.ts:58

### masterItems

masterItems: MasterItem[]

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:85

### masterNav

masterNav: IonNav

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:81

### masterPage

masterPage: any

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:83

### masterParams

masterParams: any

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:86

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsAbstractControl.ngRedux

- Defined in angular/src/abstract-control.ts:66

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in angular/src/base.renderer.ts:35

### Private platform

platform: Platform

- Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:90

### rootSchema

rootSchema: JsonSchema

Inherited from JsonFormsAbstractControl.rootSchema

- Defined in angular/src/abstract-control.ts:62

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in angular/src/base.renderer.ts:34

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsAbstractControl.scopedSchema

- Defined in angular/src/abstract-control.ts:61

### subscription

subscription: Subscription

Inherited from JsonFormsAbstractControl.subscription

- Defined in angular/src/abstract-control.ts:56

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in angular/src/base.renderer.ts:33

### visible

visible: boolean

Inherited from JsonFormsAbstractControl.visible

- Defined in angular/src/abstract-control.ts:53

## Methods

### getEventValue

- getEventValue(event: any): any

- Inherited from JsonFormsAbstractControl.getEventValue

  - Defined in angular/src/abstract-control.ts:80

  #### Parameters

  - ##### event: any

  #### Returns any

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsAbstractControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in angular/src/abstract-control.ts:138

  #### Returns OwnPropsOfControl

### goBack

- goBack(): void

- - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:229

  #### Returns void

### hideDetail

- hideDetail(): Promise<any>

- - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:180

  #### Returns Promise<any>

### mapAdditionalProps

- mapAdditionalProps(props: ArrayControlProps): void

- Inherited from JsonFormsAbstractControl.mapAdditionalProps

  - Defined in angular/src/abstract-control.ts:128

  #### Parameters

  - ##### props: ArrayControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ArrayControlProps

- Overrides JsonFormsArrayControl.mapToProps

  - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:235

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ArrayControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsAbstractControl.ngOnDestroy

  - Defined in angular/src/abstract-control.ts:132

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Overrides JsonFormsAbstractControl.ngOnInit

  - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:96

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsAbstractControl.onChange

  - Defined in angular/src/abstract-control.ts:82

  #### Parameters

  - ##### ev: any

  #### Returns void

### onSplitPaneChange

- onSplitPaneChange(event: any): void

- - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:156

  #### Parameters

  - ##### event: any

  #### Returns void

### showDetail

- showDetail(): Promise<any>

- - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:163

  #### Returns Promise<any>

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsAbstractControl.triggerValidation

  - Defined in angular/src/abstract-control.ts:156

  #### Returns void

### updateDetail

- updateDetail(item: any): Promise<boolean>

- - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:213

  #### Parameters

  - ##### item: any

  #### Returns Promise<boolean>

### updateMaster

- updateMaster(): void

- - Defined in ionic/src/other/list-with-detail/list-with-detail-control.ts:201

  #### Returns void

### validator

- validator(_c: AbstractControl): ValidationErrors | null

- Inherited from JsonFormsAbstractControl.validator

  - Defined in angular/src/abstract-control.ts:123

  #### Parameters

  - ##### _c: AbstractControl

  #### Returns ValidationErrors | null

Generated using TypeDoc